# This file created by conda-build 3.20.2
# meta.yaml template originally from:
# C:\ci\containers\00001p8n0bq\tmp\build\80754af9\rsync-recipes\spdlog-1.8.0-on-winbuilder, last modified Mon Sep 21 15:11:51 2020
# ------------------------------------------------

package:
    name: spdlog
    version: 1.8.0
source:
    sha256: 1e68e9b40cf63bb022a4b18cdc1c9d88eb5d97e4fd64fa981950a9cacf57a4bf
    url: https://github.com/gabime/spdlog/archive/v1.8.0.tar.gz
build:
    number: '1'
    string: h7ef1ec2_1
requirements:
    build:
        - bzip2 1.0.8 he774522_0
        - cmake 3.18.2 hab937c2_0
        - libuv 1.39.0 he774522_0
        - lz4-c 1.9.2 h62dcd97_1
        - vc 14.1 h0510ff6_4
        - vs2015_runtime 14.16.27012 hf0eaf9b_3
        - vs2017_win-64 19.16.27032.1 hb4161e2_3
        - vswhere 2.7.1 h21ff451_0
        - xz 5.2.5 h62dcd97_0
        - zlib 1.2.11 h62dcd97_4
        - zstd 1.4.5 h04227a9_0
    host:
        - vc 14.1 h0510ff6_4
        - vs2015_runtime 14.16.27012 hf0eaf9b_3
    run:
        - vc >=14.1,<15.0a0
        - vs2015_runtime >=14.16.27012,<15.0a0
test:
    commands:
        - if not exist %PREFIX%\Library\include\spdlog\spdlog.h exit 1
about:
    description: 'spdlog is a header only library for Super fast C++ logging

        to be used with a C++11 compiler.

        '
    home: https://github.com/gabime/spdlog
    license: MIT
    license_family: MIT
    license_file: LICENSE
    summary: Super fast C++ logging library.
extra:
    copy_test_source_files: true
    final: true
    recipe-maintainers:
        - druvus
        - rongou
